Package com.independentsoft.office.drawing

# Class NormalVector

java.lang.Object
com.independentsoft.office.drawing.NormalVector

public class NormalVector extends Object
The Class NormalVector.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NormalVector()`
  Instantiates a new normal vector.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NormalVector`
  `clone()`
  `Unit`
  `getDistanceX()`
  Gets the distance x.
  `Unit`
  `getDistanceY()`
  Gets the distance y.
  `Unit`
  `getDistanceZ()`
  Gets the distance z.
  `void`
  `setDistanceX​(Unit distanceX)`
  Sets the distance x.
  `void`
  `setDistanceY​(Unit distanceY)`
  Sets the distance y.
  `void`
  `setDistanceZ​(Unit distanceZ)`
  Sets the distance z.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NormalVector

    public NormalVector()
    Instantiates a new normal vector.

- ## Method Details

  - ### clone

    public NormalVector clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDistanceX

    public Unit getDistanceX()
    Gets the distance x.
    Returns:
      the distance x

  - ### setDistanceX

    public void setDistanceX​(Unit distanceX)
    Sets the distance x.
    Parameters:
      `distanceX` - the new distance x

  - ### getDistanceY

    public Unit getDistanceY()
    Gets the distance y.
    Returns:
      the distance y

  - ### setDistanceY

    public void setDistanceY​(Unit distanceY)
    Sets the distance y.
    Parameters:
      `distanceY` - the new distance y

  - ### getDistanceZ

    public Unit getDistanceZ()
    Gets the distance z.
    Returns:
      the distance z

  - ### setDistanceZ

    public void setDistanceZ​(Unit distanceZ)
    Sets the distance z.
    Parameters:
      `distanceZ` - the new distance z